Page MenuHomePhabricator

Points field in task description should not accept arbitrary non-numeric input
Closed, ResolvedPublic

Description

The "points" field should either accept numbers only, or it shouldn't be called "points".

It's fine (and potentially useful) to have a field available in the workboard view that accepts arbitrary input. However, in that case the user should be able to define the title of the field too, not just the value.

Event Timeline

Capt_Swing raised the priority of this task from to Needs Triage.
Capt_Swing updated the task description. (Show Details)
Capt_Swing added a project: Phabricator.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 27 2015, 6:00 PM
Qgil set Security to None.

The new maniphest.points field has a double data type, so non-numeric input is restricted. This will be the replacement for the custom story points field going forward (after deployment on 18.02.2016).

See https://gerrit.wikimedia.org/r/#/c/270484/ implemented on http://phab10.wmflabs.org for preview.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 14 2016, 10:15 PM
Christopher closed this task as Resolved.Feb 19 2016, 7:17 AM